Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/03/2025 in all areas

  1. Like you @tombu we had a dwt which had all the blocks required for CIV3D and yes waiting for the palette to display was a pain, the old fashioned using a POP Image menu was much easier to use, and you could select via subject rather than all.
    2 points
  2. This is like part one of a two part question. I may be wrong and only points wanted. Part one import csv file, inserting blocks, code is out there. Part two string all the points using the description, yes use CIV3D or Stringer or Civil Site Design. Also includes step one. Yes have looked at stringing points. There is another post and out there and a couple of people are looking at the stringing function. Anyway try this. I made a block called SurvPoint which is made up of a POINT and your attdef's. (defun c:survpoints ( / fname dummy pts newline) ; thanks to Lee-mac for this defun comma is 44 (defun csv->lst ( str / pos ) (if (setq pos (vl-string-position 44 str)) (cons (substr str 1 pos) (csv->lst (substr str (+ pos 2)))) (list str) ) ) (setq fname (open (getfiled "Pts FILES" "d:\\" "csv" 16) "R")) (setq dummy (read-line fname)) ; throw away 1st line (while (setq newline (read-line fname)) (setq pts (csv->lst newline)) (command "-insert" "SurvPoint" (list (atof (nth 1 pts))(atof (nth 2 pts))) 1 1 0 (nth 3 pts) (last pts)(nth 0 pts)) ) (close fname) (princ) ) Please note don't need a csv can read excel direct.
    1 point
  3. @smitaranjan Yes it's possible. I don't understand exactly what workflow you're asking for. Can you explain step by step how you would like it to run? P.S. won't be able to work on it again until next week.
    1 point
  4. Not sure what you are meaning it changes the coordinates, are X and Y coordinates interchanged? (CAD is off - holiday - so not checking), if you selected the Y - Coordinate button but pointed it to the X and vice versa would it work OK? There are plenty of 'read CSV Lisps' or "Read Text File' Lisps out there if you want to use one of them as a basis though
    1 point
  5. @smitaranjan I'm not exactly sure what you mean. If you mean that you just want to enter a number, like 1,2,3, etc., then your sheet naming for the layouts much be consistent. The reference for the hyperlink is entirely based on the sheet tab name. So if all your sheets are named for example "page 1", "page 2", "page 3", etc. then you can determine the correct layout from the name. BTW - the HYPERLINK command can do this without the need for an AutoLISP routine if you are just doing a random layout, presenting all the layout names is a list, and even named views within each layout.
    1 point
  6. @Riccardo_Ferrari to insert a drawing from an external file, you have to use either (command "._Insert ...) or use (vla-InsertBlock) https://help.autodesk.com/view/OARX/2025/ESP/?guid=GUID-17F86FDD-B7FC-4F43-9F16-B4958F73A66D
    1 point
  7. @smitaranjan Here is a simple example to add a hyperlink for each layout: (defun c:foo (/ e) (vl-load-com) (foreach n (layoutlist) ;; for each layout name, (if (setq e (entsel (strcat "\nSelect Object to link to \"" n "\""))) ;; select an object to add the link (vla-add (vla-get-hyperlinks (vlax-ename->vla-object (car e))) "" ;; External Hyperlink (strcat "Go to " n) ;; display description (strcat "," n) ;; Named location in the document ) ) ) )
    1 point
  8. 1 point
  9. If it doesn't work - could try vl-princ-to-string or vl-prin1-to-string see if that works in your code or in string to list
    1 point
  10. I experimented with the Blocks palette when it was introduced and found it buggy after referencing blocks from different drawing you cannot which drawing the blocks came from. After realizing the extra delay every time I open a drawing from regeneration of all the blocks for the Blocks palette that weren't even in the drawing I opened I quit the experiment and never used Blocks palette again. After using blocks for over 30 years without any grief like that I decided to stick to what's always worked before, Good luck!
    1 point
  11. You're trying to compare a paper airplane to modern passenger jet! Civil 3D works on intelligent data allowing surface contour display to quickly changed from intervals of 2' and 10' to intervals of 1' and 5' since they're not actual drawing objects. You can output contours and other intelligent data as drawing objects as drawing objects as needed. I use this often to convert an added contour at the overflow elevation of a drainage area to quickly label it's volume as an example. Land Desktop was replaced decades ago for a reason.
    1 point
  12. Maybe one of these will help: http://lee-mac.com/copyblockfromdrawing.html http://lee-mac.com/steal.html
    1 point
×
×
  • Create New...